Page MenuHomePhabricator

update mw scooping to be able to scoop from new db cluster
Closed, ResolvedPublic

Description

update mw scooping to be able to scoop from new db cluster

Different wikis will be in different shards so we need probably a module that gives the right connection info if you pass the wiki

Details

Related Gerrit Patches:
operations/puppet : productionFind db host and port using refinery
analytics/refinery : masterUse db_mapping to find the hostname
operations/puppet : productionUpdate sqoop timers templates to follow new CLI

Event Timeline

Nuria created this task.Feb 5 2019, 4:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 5 2019, 4:27 PM
Nuria added a comment.Feb 5 2019, 5:07 PM

See: https://phabricator.wikimedia.org/T212386 for snipet to determine the correct shard.

you mean T212386#4905949 right? Elukey I'm going to wait until you have that in code review, just in case you have other thoughts as you make it more official.

fdans triaged this task as High priority.Feb 7 2019, 6:13 PM
fdans moved this task from Incoming to Operational Excellence on the Analytics board.
fdans added a project: Analytics-Kanban.

Change 492209 had a related patch set uploaded (by Milimetric; owner: Milimetric):
[analytics/refinery@master] Use db_mapping to find the hostname

https://gerrit.wikimedia.org/r/492209

Change 493331 had a related patch set uploaded (by Milimetric; owner: Milimetric):
[operations/puppet@production] Find db host and port using refinery

https://gerrit.wikimedia.org/r/493331

Change 493406 had a related patch set uploaded (by Joal; owner: Joal):
[operations/puppet@production] Update sqoop timers templates to follow new CLI

https://gerrit.wikimedia.org/r/493406

Change 493406 abandoned by Joal:
Update sqoop timers templates to follow new CLI

Reason:
Already done in https://gerrit.wikimedia.org/r/c/operations/puppet/ /493331/

https://gerrit.wikimedia.org/r/493406

Change 492209 merged by Joal:
[analytics/refinery@master] Use db_mapping to find the hostname

https://gerrit.wikimedia.org/r/492209

Change 493331 merged by Elukey:
[operations/puppet@production] Find db host and port using refinery

https://gerrit.wikimedia.org/r/493331

Nuria closed this task as Resolved.Mar 11 2019, 6:14 PM